GuideLab API

Get Clinic Invoices By Order

Look up invoices associated with a specific order for the authenticated clinic. Clinic-only. Returns a list since an order may have multiple invoices.

GET
/clinic-finances/invoices/by-order/{orderId}

Look up invoices associated with a specific order for the authenticated clinic. Clinic-only. Returns a list since an order may have multiple invoices.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

orderId*string

Order ID to look up invoices for

Response Body

application/json

curl -X GET "https://example.com/clinic-finances/invoices/by-order/550e8400-e29b-41d4-a716-446655440000"
[  {    "id": "string",    "invoiceNumber": "string",    "status": "string",    "totalAmount": "string",    "amountPaid": "string",    "amountDue": "string",    "currency": "string",    "dueDate": "string",    "labId": "string",    "partnershipId": "string"  }]